<?php

/* FIRESHOP: Advanced Content Market System                         */

/* ============================================                         */

/*                                                                      */

/* Copyright (c) 2012 by Mohamad Porhaji                                */

/* http://Firedesign.ir                                                   */

/*                                                                      */

/* This program is free software.  */

/************************************************************************/

/* $Id: pay.php,v 1.0.0.1 2012/02/18 By Mohamad Porhaji $ */
@session_start();
require_once("mainfile.php");
global $db;



$title_page_over="ثبت فيش بانكي";
$page_title = "ثبت فيش بانكي";

function content()

{

if(isset($_GET['do'])){$do = $_GET['do'];switch ($do){
case 'pay_for_order':
global $db;

if(isset($_POST['pay_for_order'])){
$order_id = $_POST['id'];
$price_r = $_POST['price'];
$price= number_format($price_r, 0);
$name = $_POST['name'];
$email = $_POST['email'];
$tel = $_POST['tel'];

echo"
<form action='pay.php?do=pay_s_order' method='post'>
<div style='padding:10px' align='right'>
<br/><br/>
<div style='float:right;width:110px' for=\"name\">شماره سفارش  : <span style='color: red'>*</span></div>
<div style='float:right;'><input  type='text' name='order_id' size='30' value='$order_id' onchange=\"this.value='$order_id'\" style='height: 18px'/></div><div class='clear'></div><br/>

<div style='float:right;width:110px' for=\"name\">مبلغ فيش  : <span style='color: red'>*</span></div>
<div style='float:right;'><input type='text' name='price_fish' size='30' style='height: 18px' value='$price_r'/> تومان</div><div class='clear'></div><br/>

<div style='float:right;width:110px' for=\"name\">نام و نام خانوادگي : <span style='color: red'>*</span></div>
<div style='float:right;'><input type='text' name=\"name\" size='30' style='height: 20px' value='$name'/></div><div class='clear'></div><br/>

<div style='float:right;width:110px' for=\"name\">تلفن همراه  : <span style='color: red'>*</span></div>
<div style='float:right;'><input type='text' name='mobile' size='30' style='height: 18px' value='$tel'/></div><div class='clear'></div><br/>

<div style='float:right;width:110px' for=\"name\">ايميل  : </div>
<div style='float:right;'><input type='text' name='email' size='30' style='height: 18px' value='$email'/></div><div class='clear'></div><br/>


<div style='float:right;width:110px' for=\"name\">نحوه پرداخت   : <span style='color: red'>*</span></div>
<div style='float:right;'><input type='text' name='get_pay' size='30' style='height: 18px'/></div><div class='clear'></div><br/>

<div style='float:right;width:150px' for=\"name\">شماره فيش بانكي يا شماره تراكنش  : <span style='color: red'>*</span></div>
<div style='float:right;'><input type='text' name='num_fish' size='30' style='height: 18px'/></div><div class='clear'></div><br/>


<div style='float:right;width:150px' for=\"name\">شماره كارت در صورت پرداخت كارت به كارت  : </div>
<div style='float:right;'><input type='text' name='card' size='30' style='height: 18px'/> </div><div class='clear'></div><br/>

<div style='float:right;width:110px' for=\"name\">جزئيات پرداخت   : </div>
<div style='float:right;'><textarea type='text' name='des'  style='width: 250px; height: 80px'></textarea></div><div class='clear'></div><br/>


<div style='float:right;width:110px' for=\"name\">تاريخ پرداخت وجه  : <span style='color: red'>*</span></div>
<div style='float:right;'><input type='text' name='date_pay' size='30' style='height: 18px'/></div><div class='clear'></div><br/>

<div style='float:right;width:110px' for=\"name\">كد امنيتي  : <span style='color: red'>*</span> </div>
<div style='float:right;'><img id='imagerash' border='0' src='img.php'>  <input type='text' name='RashCMS' size='27' style='height: 18px'/></div><div class='clear'></div><br/><br/>

<input type='submit' name='pay_s_order' value='ثبت نهايي سفارش' />
</div></form>
";

}

break;
case 'pay_s_order':
global $db;

if(isset($_POST['pay_s_order'])){

if(empty($_POST['name'])
or empty($_POST['order_id'])
or empty($_POST['price_fish'])
or empty($_POST['mobile'])
or empty($_POST['num_fish'])
or empty($_POST['get_pay'])
or empty($_POST['date_pay'])
or empty($_POST['RashCMS']))
{
print('  پركردن همه ي فيلد ها الزامي است  <a href="javascript:history.go(-1)">بازگشت</a>');
}else{
$RashCMS = sql_quote(@$_POST['RashCMS']);
if( @$_SESSION['rash_secimg'] !== $RashCMS) {

        echo"كد امنيتي اشتباه است <a href='javascript:history.go(-1)'>بازگشت</a>";
        }else{
        $randcode =rand(1000,1000000000);
        $_SESSION['rash_secimg'] = $randcode;


$order_id=$_POST['order_id'];
$price_fish=$_POST['price_fish'];
$name=$_POST['name'];
$mobile=$_POST['mobile'];
$email=$_POST['email'];
$get_pay=$_POST['get_pay'];
$num_fish=$_POST['num_fish'];
$card=$_POST['card'];
$des=$_POST['des'];
$ip = @$_SERVER['REMOTE_ADDR'];
$date_pay=$_POST['date_pay'];
include("includes/jdate.php");
$today = jdate(" d /m /13y");
$dater = $today;
$time_stamp= time();

$query = $db->sql_query("INSERT INTO `fireshop_pay` (`order_id`, `price_fish`, `name`, `mobile`, `email`, `get_pay`, `num_fish`, `card`, `des`, `date_pay`, `date`, `time_stamp`, `ip`) VALUES ('$order_id', '$price_fish', '$name', '$mobile', '$email', '$get_pay', '$num_fish', '$card', '$des', '$date_pay', '$dater', '$time_stamp','$ip')");if($query){

echo"
<div align='center'> با موفقيت ارسال گرديد</div><br/>";

$dataq = $db->sql_query("SELECT * FROM fireshop_pay WHERE num_fish='$num_fish' AND ip='$ip' AND date='$dater' AND time_stamp='$time_stamp'") or die(mysql_error());
$mdata = $db->sql_fetchrow($dataq);
$time_stamp                        = $mdata['time_stamp'];
$pay_id                        = $mdata['id'];

$query = $db->sql_query("UPDATE  fireshop_order SET  `is_payed`='1' , `pay_id`='$pay_id' WHERE id='$order_id' LIMIT 1");
echo"
<div align='center'>
كد رهگيري زير را يادداشت كنيد و براي پيگيري از اين كد استفاده كنيد

<div align='center' dir='rtl' style='padding:10px'>
<table style='background-color: #333333; font-family: tahoma; font-size: 11px; text-decoration: none; color: #CCCCCC'>
<tr>
<td style='width: 90px;border-left-style: solid; border-left-width: 1px; border-left-color: #cccccc;'>
شماره فرم </td>
<td style='width: 300px;'>&nbsp;  
كد رهگيري </td>
</tr>
</table>
<table style='background-color: #CCCCCC; font-family: tahoma; font-size: 11px; text-decoration: none; color: #333333'>
<tr>
<td style='width:90px;border-left-style: solid; border-left-width: 1px; border-left-color: #ffffff;'>
$pay_id
</td>
<td style='width:300px;border-top-style: solid; border-top-width: 1px; border-top-color: #ffffff;'>&nbsp;
$time_stamp
</td>
</tr>
</table>

</div>

<br/>
</div>";
}else{
print('<div class="failed"><div class="MsgBody">خطا <a href="javascript:history.go(-1)">بازگشت</a></div></div>');}

}
}

}



break;
case 'pay_other':
global $db;


echo"
<form action='pay.php?do=pay_s_other' method='post'>
<div style='padding:10px' align='right'>
<br/><br/>
<div style='float:right;width:110px' for=\"name\">پرداخت به خاطر  : <span style='color: red'>*</span></div>
<div style='float:right;'><input  type='text' name='pay_for' size='30'  style='height: 18px'/></div><div class='clear'></div><br/>

<div style='float:right;width:110px' for=\"name\">مبلغ فيش  : <span style='color: red'>*</span></div>
<div style='float:right;'><input type='text' name='price_fish' size='30' style='height: 18px' /> تومان</div><div class='clear'></div><br/>

<div style='float:right;width:110px' for=\"name\">نام و نام خانوادگي : <span style='color: red'>*</span></div>
<div style='float:right;'><input type='text' name=\"name\" size='30' style='height: 20px' /></div><div class='clear'></div><br/>

<div style='float:right;width:110px' for=\"name\">تلفن همراه  : <span style='color: red'>*</span></div>
<div style='float:right;'><input type='text' name='mobile' size='30' style='height: 18px'/></div><div class='clear'></div><br/>

<div style='float:right;width:110px' for=\"name\">ايميل  : </div>
<div style='float:right;'><input type='text' name='email' size='30' style='height: 18px' /></div><div class='clear'></div><br/>


<div style='float:right;width:110px' for=\"name\">نحوه پرداخت   : <span style='color: red'>*</span></div>
<div style='float:right;'><input type='text' name='get_pay' size='30' style='height: 18px'/></div><div class='clear'></div><br/>

<div style='float:right;width:150px' for=\"name\">شماره فيش بانكي يا شماره تراكنش  : <span style='color: red'>*</span></div>
<div style='float:right;'><input type='text' name='num_fish' size='30' style='height: 18px'/></div><div class='clear'></div><br/>


<div style='float:right;width:150px' for=\"name\">شماره كارت در صورت پرداخت كارت به كارت  : </div>
<div style='float:right;'><input type='text' name='card' size='30' style='height: 18px'/> </div><div class='clear'></div><br/>

<div style='float:right;width:110px' for=\"name\">جزئيات پرداخت   : </div>
<div style='float:right;'><textarea type='text' name='des'  style='width: 250px; height: 80px'></textarea></div><div class='clear'></div><br/>


<div style='float:right;width:110px' for=\"name\">تاريخ پرداخت وجه  : <span style='color: red'>*</span></div>
<div style='float:right;'><input type='text' name='date_pay' size='30' style='height: 18px'/></div><div class='clear'></div><br/>

<div style='float:right;width:110px' for=\"name\">كد امنيتي  : <span style='color: red'>*</span> </div>
<div style='float:right;'><img id='imagerash' border='0' src='img.php'>  <input type='text' name='RashCMS' size='27' style='height: 18px'/></div><div class='clear'></div><br/><br/>

<input type='submit' name='pay_s_other' value='ثبت نهايي سفارش' />
</div></form>
";


break;
case 'pay_s_other':
global $db;


if(isset($_POST['pay_s_other'])){

if(empty($_POST['name'])
or empty($_POST['pay_for'])
or empty($_POST['price_fish'])
or empty($_POST['mobile'])
or empty($_POST['num_fish'])
or empty($_POST['get_pay'])
or empty($_POST['date_pay'])
or empty($_POST['RashCMS']))
{
print('  پركردن همه ي فيلد ها الزامي است  <a href="javascript:history.go(-1)">بازگشت</a>');
}else{
$RashCMS = sql_quote(@$_POST['RashCMS']);
if( @$_SESSION['rash_secimg'] !== $RashCMS) {

        echo"كد امنيتي اشتباه است <a href='javascript:history.go(-1)'>بازگشت</a>";
        }else{
        $randcode =rand(1000,1000000000);
        $_SESSION['rash_secimg'] = $randcode;


$pay_for=$_POST['pay_for'];
$price_fish=$_POST['price_fish'];
$name=$_POST['name'];
$mobile=$_POST['mobile'];
$email=$_POST['email'];
$get_pay=$_POST['get_pay'];
$num_fish=$_POST['num_fish'];
$card=$_POST['card'];
$des=$_POST['des'];
$ip = @$_SERVER['REMOTE_ADDR'];
$date_pay=$_POST['date_pay'];
include("includes/jdate.php");
$today = jdate(" d /m /13y");
$dater = $today;
$time_stamp= time();

$query = $db->sql_query("INSERT INTO `fireshop_pay` (`price_fish`, `name`, `mobile`, `email`, `get_pay`, `num_fish`, `card`, `des`, `date_pay`, `date`, `time_stamp`, `pay_for`,`ip` ) VALUES ('$price_fish', '$name', '$mobile', '$email', '$get_pay', '$num_fish', '$card', '$des', '$date_pay', '$dater', '$time_stamp','$pay_for','$ip')");if($query){

echo"
<div align='center'> با موفقيت ارسال گرديد</div><br/>";
$dataq = $db->sql_query("SELECT * FROM fireshop_pay WHERE num_fish='$num_fish' AND ip='$ip' AND date='$dater' AND time_stamp='$time_stamp'") or die(mysql_error());
$mdata = $db->sql_fetchrow($dataq);
$time_stamp                        = $mdata['time_stamp'];
$pay_id                        = $mdata['id'];
echo"
<div align='center'>
كد رهگيري زير را يادداشت كنيد و براي پيگيري از اين كد استفاده كنيد

<div align='center' dir='rtl' style='padding:10px'>
<table style='background-color: #333333; font-family: tahoma; font-size: 11px; text-decoration: none; color: #CCCCCC'>
<tr>
<td style='width: 90px;border-left-style: solid; border-left-width: 1px; border-left-color: #cccccc;'>
شماره فرم </td>
<td style='width: 300px;'>&nbsp;  
كد رهگيري </td>
</tr>
</table>
<table style='background-color: #CCCCCC; font-family: tahoma; font-size: 11px; text-decoration: none; color: #333333'>
<tr>
<td style='width:90px;border-left-style: solid; border-left-width: 1px; border-left-color: #ffffff;'>
$pay_id
</td>
<td style='width:300px;border-top-style: solid; border-top-width: 1px; border-top-color: #ffffff;'>&nbsp;
$time_stamp
</td>
</tr>
</table>

</div>

<br/>
</div>";
}else{
print('<div class="failed"><div class="MsgBody">خطا <a href="javascript:history.go(-1)">بازگشت</a></div></div>');}

}
}
}


break;
case 'pay_check':
global $db;

if(isset($_POST['pay_check'])){

if(empty($_POST['pay_id'])
or empty($_POST['RashCMS']))
{
print('  پركردن همه ي فيلد ها الزامي است  <a href="javascript:history.go(-1)">بازگشت</a>');
}else{
$RashCMS = sql_quote(@$_POST['RashCMS']);
if( @$_SESSION['rash_secimg'] !== $RashCMS) {

        echo"كد امنيتي اشتباه است <a href='javascript:history.go(-1)'>بازگشت</a>";
        }else{
        $randcode =rand(1000,1000000000);
        $_SESSION['rash_secimg'] = $randcode;

$pay_id =$_POST['pay_id'];
$query = mysql_query("SELECT * FROM `fireshop_pay` WHERE time_stamp='$pay_id'") or die(mysql_error());
if(mysql_num_rows($query) == 0 ){
echo"چنين پرداختي وجود ندارد";

}else{

$mydata = mysql_fetch_array($query);
$id  	= $mydata['id'];
$name  	= $mydata['name'];
$price_fish= $mydata['price_fish'];
$num_fish = $mydata['num_fish'];
$date_pay = $mydata['date_pay'];
$is_app = $mydata['is_app'];

if($is_app==0){$is_app="منتظر تاييد";}
if($is_app==1){$is_app="تاييد شده ";}
if($is_app==2){$is_app="پرداختي شما بنا به دلايلي تاييد نشده است . لطفا جهت اطلاعات بيشتر با ما تماس بگيريد";}

echo"

<div align='center' dir='rtl' style='padding:10px'>
<table style='background-color: #CCCCCC; font-family: tahoma; font-size: 11px; text-decoration: none; color: #333333'>
<tr>
<td style='background-color: #333333;color: #cccccc;width:90px;border-left-style: solid; border-left-width: 1px; border-left-color: #ffffff;border-top-style: solid; border-top-width: 1px; border-top-color: #ffffff;'>
وضعيت
</td>
<td style='width:300px;border-top-style: solid; border-top-width: 1px; border-top-color: #ffffff;'>&nbsp;
$is_app
</td></tr>
<tr><td style='width:90px;border-left-style: solid; border-left-width: 1px; border-left-color: #ffffff;border-top-style: solid; border-top-width: 1px; border-top-color: #ffffff;'>
نام و نام خانوادگي
</td>
<td style='width:300px;border-top-style: solid; border-top-width: 1px; border-top-color: #ffffff;'>&nbsp;
$name
</td></tr>
<tr><td style='width:90px;border-left-style: solid; border-left-width: 1px; border-left-color: #ffffff;border-top-style: solid; border-top-width: 1px; border-top-color: #ffffff;'>
مبلغ پرداختي
</td>
<td style='width:300px;border-top-style: solid; border-top-width: 1px; border-top-color: #ffffff;'>&nbsp;
$price_fish تومان
</td></tr>
<tr><td style='width:90px;border-left-style: solid; border-left-width: 1px; border-left-color: #ffffff;border-top-style: solid; border-top-width: 1px; border-top-color: #ffffff;'>
شماره فيش
</td>
<td style='width:300px;border-top-style: solid; border-top-width: 1px; border-top-color: #ffffff;'>&nbsp;
$num_fish
</td></tr>
<tr><td style='width:90px;border-left-style: solid; border-left-width: 1px; border-left-color: #ffffff;border-top-style: solid; border-top-width: 1px; border-top-color: #ffffff;'>
تاريخ پرداخت
</td>
<td style='width:300px;border-top-style: solid; border-top-width: 1px; border-top-color: #ffffff;'>&nbsp;
$date_pay
</td></tr>


</tr>
</table>

</div>
<button onclick='javascript:history.go(-1)' class='button'>بازگشت</button>
<br/>
</div>
";


}
}
}

}else{

echo"<form action='pay.php?do=pay_check' method='post'>
<table dir='rtl'>
<tr>
<td valign='top'>
  كد رهگيري ( كد رهگيري پرداختي ):&nbsp; &nbsp;  <br/><br/><br/>
كد امنيتي : 
</td>
<td valign='top'>
&nbsp; &nbsp; &nbsp; &nbsp; <input type='text' size='30' name='pay_id'/><br/><br/>
<img id='imagerash' border='0' src='img.php'>&nbsp; &nbsp; <input type='text' name='RashCMS' id='RashCMS' size='20'/><br/><br/>
<div align='left'><input type='submit' name='pay_check' value='ارسال' /></div><br/><br/>
</td>
</tr>
</table>
</form>";
}








break;
}
}else{

echo"<a href='rahgiri.php'>ثبت فيش بانكي براي سفارش</a> | <a href='pay.php?do=pay_other'>ثبت فيش بانكي به منظور ديگر</a>";
echo"<br/><a href='pay.php?do=pay_check'>پيگيري فيش ثبت شده ي قبلي</a>";

}

}
theme();
?>